wxRuby Documentation Home

# Wx::DateEvent

This event class holds information about a date change and is used together
with DatePickerCtrl. It also serves as a base class
for CalendarEvent.

## Derived from

CommandEvent

Event

Object

## Methods

- DateEvent#get_date
- DateEvent#set_date

### DateEvent#get_date

DateTime get_date()

Returns the date.

### DateEvent#set_date

set_date(%(arg-type)DateTime% date)

Sets the date carried by the event, normally only used by the library
internally.

[This page automatically generated from the Textile source at 2023-06-09 00:45:37 +0000]